import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:fusionsdk/fusion_ad_sdk.dart';

class InterstitialPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: true,
      primary: true,
      appBar: AppBar(),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            MaterialButton(
                color: Colors.blue,
                textColor: Colors.white,
                onPressed: () {
                  FusionAdSdk.loadInterstitialAd(
                    "31036095",
                    onAdLoad: () {
                      print("Interad onAdLoad");
                    },
                    onAdShow: () {
                      print("Interad onAdShow");
                    },
                    onAdClick: () {
                      print("Interad onAdClick");
                    },
                    onAdClose: () {
                      print("Interad onAdClose");
                    },
                    onError: (int code, String message) {
                      print("Interad onError :  $code  $message");
                    },
                  );
                },
                child: Text("加载插屏广告")),
          ],
        ),
      ),
    );
  }
}
