import 'package:flutter/material.dart';
import 'package:fusionsdk/fusion_ad_sdk.dart';

class RewardVideoPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: true,
      primary: true,
      appBar: AppBar(),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            MaterialButton(
                color: Colors.blue,
                textColor: Colors.white,
                onPressed: () {
                  FusionAdSdk.loadRewardVideoAd(
                    "31036091",
                    onAdLoad: () {
                      print("RewardVideoAd onAdLoad");
                    },
                    onAdShow: () {
                      print("RewardVideoAd onAdShow");
                    },
                    onAdClick: () {
                      print("RewardVideoAd onAdClick");
                    },
                    onVideoComplete: () {
                      print("RewardVideoAd onVideoComplete");
                    },
                    onReward: () {
                      print("RewardVideoAd onReward");
                    },
                    onAdClose: () {
                      print("RewardVideoAd onAdClose");
                    },
                    onError: (int code, String message) {
                      print("RewardVideoAd onError :  $code  $message");
                    },
                  );
                },
                child: Text("加载激励视频广告")),
          ],
        ),
      ),
    );
  }
}
