import 'package:flutter/material.dart';
import 'package:fusionsdk/fusion_banner_view.dart';

class BannerPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(),
      body: Center(
        child: Column(
          children: <Widget>[
            BannerAdView(
              codeId: "31036093",
              onAdLoad: () {
                print("BannerAd onAdLoad");
              },
              onAdShow: () {
                print("BannerAd onAdShow");
              },
              onAdClick: () {
                print("BannerAd onAdClick");
              },
              onAdClose: () {
                print("BannerAd onAdClose");
              },
              onError: (int code, String message) {
                print("BannerAd onError");
              },
            ),
          ],
        ),
      ),
    );
  }
}
